0

So, I am running CentOS 7 on my laptop and all seems almost OK. Now I'm trying to install the video card driver.

# lspci -nn
...
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Chelsea LP [Radeon HD 7730M] [1002:682f]
...

I have found this thread from U&L and have downloaded the zip file.

But, when I try to execute the installer with:

[root@giedi-prime fglrx-15.302]# sh check.sh 
Detected configuration:
Architecture: x86_64 (64-bit)
X Server: XServer 1.17.2
[root@giedi-prime fglrx-15.302]# ./amd-driver-installer-15.302-x86.x86_64.run 

And try to build an specific package for my distro (closest option is RHEL7!) it fails and there's a log message output at /usr/share/ati/fglrx-installer.log that reads.

Check if system has the tools required for Packages Generation.
Package build failed!
Package build utility output:
./packages/RedHat/ati-packager.sh: line 221: rpmbuild: command not found
[Error] Generate Package - error generating package : RedHat/RHEL7

What am I missing here?

3

You're missing (at least) rpmbuild tool:

./packages/RedHat/ati-packager.sh: line 221: rpmbuild: command not found

This (according to CentOS wiki) should be in rpm-build package which can be installed by running yum install rpm-build.

  • I managed to build the file for installation. Thanks! – gtludwig Jan 28 '16 at 17:05

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.